### Class

# Clutter AlignConstraint

#### Description [src]

    final class Clutter.AlignConstraint : Clutter.Constraint
    {
      /* No available fields */
    }

A constraint aligning the position of an actor

`ClutterAlignConstraint` is a `ClutterConstraint` that aligns the position of the `ClutterActor` to which it is applied to the size of another `ClutterActor` using an alignment factor.

#### Ancestors

- ClutterConstraint
- ClutterActorMeta
- GInitiallyUnowned
- GObject

#### Constructors

###### clutter_align_constraint_new

Creates a new constraint, aligning a `ClutterActor`‘s position with regards of the size of the actor to `source`, with the given alignment `factor`.

#### Instance methods

###### clutter_align_constraint_get_align_axis

Retrieves the value set using `clutter_align_constraint_set_align_axis()`.

###### clutter_align_constraint_get_factor

Retrieves the factor set using `clutter_align_constraint_set_factor()`.

###### clutter_align_constraint_get_pivot_point

Gets the pivot point used by the constraint set with `clutter_align_constraint_set_pivot_point()`. If no custom pivot point is set, -1 is set.

###### clutter_align_constraint_get_source

Retrieves the source of the alignment.

###### clutter_align_constraint_set_align_axis

Sets the axis to which the alignment refers to.

###### clutter_align_constraint_set_factor

Sets the alignment factor of the constraint.

###### clutter_align_constraint_set_pivot_point

Sets the pivot point used by the constraint, the pivot point is the point in the constraint actor around which the aligning is applied, with (0, 0) being the top left corner of the actor and (1, 1) the bottom right corner of the actor.

###### clutter_align_constraint_set_source

Sets the source of the alignment constraint.

##### Methods inherited from ClutterConstraint (1)

###### clutter_constraint_update_preferred_size

Asks the `constraint` to update the size request of a `ClutterActor`.

##### Methods inherited from ClutterActorMeta (5)

###### clutter_actor_meta_get_actor

Retrieves a pointer to the `ClutterActor` that owns `meta`.

###### clutter_actor_meta_get_enabled

Retrieves whether `meta` is enabled.

###### clutter_actor_meta_get_name

Retrieves the name set using `clutter_actor_meta_set_name()`.

###### clutter_actor_meta_set_enabled

Sets whether `meta` should be enabled or not.

###### clutter_actor_meta_set_name

Sets the name of `meta`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.AlignConstraint:align-axis

The axis to be used to compute the alignment.

###### Clutter.AlignConstraint:factor

The alignment factor, as a normalized value between 0.0 and 1.0.

###### Clutter.AlignConstraint:pivot-point

The pivot point used by the constraint. The pivot point is the point in the constraint actor around which the aligning is applied, with (0, 0) being the top left corner of the actor and (1, 1) the bottom right corner of the actor.

###### Clutter.AlignConstraint:source

The `ClutterActor` used as the source for the alignment.

##### Properties inherited from ClutterActorMeta (3)

###### Clutter.ActorMeta:actor

The `ClutterActor` attached to the `ClutterActorMeta` instance.

###### Clutter.ActorMeta:enabled

Whether or not the `ClutterActorMeta` is enabled.

###### Clutter.ActorMeta:name

The unique name to access the `ClutterActorMeta`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterAlignConstraintClass {
      ClutterConstraintClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClutterConstraintClass`

  No description available.